# Interface JmolModulationSet

All Known Implementing Classes:
  `ModulationSet`

public interface JmolModulationSet

## Method Summary

Modifier and Type
Method
Description
`void`
`addTo(T3 a, float scale)`
`T3`
`getModPoint(boolean asEnabled)`
`Object`
`getModulation(char type, T3 t456, boolean occ100)`
`float`
`getScale()`
`String`
`getState()`
`SymmetryInterface`
`getSubSystemUnitCell()`
`V3`
`getV3()`
`Vibration`
`getVibration(boolean forceNew)`
`boolean`
`isEnabled()`
`void`
`scaleVibration(float m)`
`void`
`setModTQ(T3 a, boolean isOn, T3 qtOffset, boolean isQ, float scale)`
`void`
`setMoment()`

## Method Details

### getModulation

Object getModulation(char type, T3 t456, boolean occ100)

### getState

String getState()

### isEnabled

boolean isEnabled()

### setModTQ

void setModTQ(T3 a, boolean isOn, T3 qtOffset, boolean isQ, float scale)

### getScale

float getScale()

### addTo

void addTo(T3 a, float scale)

### getModPoint

T3 getModPoint(boolean asEnabled)

### getVibration

Vibration getVibration(boolean forceNew)

### getV3

V3 getV3()

### getSubSystemUnitCell

SymmetryInterface getSubSystemUnitCell()

### scaleVibration

void scaleVibration(float m)

### setMoment

void setMoment()